services:
#    rawafed_uploader.example:
#        class: Rawafed\UploaderBundle\Example
#        arguments: [@service_id, "plain_value", %parameter%]

    rawafed_uploader.forms.types.impuploader_file:
        class: Rawafed\UploaderBundle\Form\Type\IMPUploaderFileType
        arguments: [@service_container]
        tags:
            - { name: form.type, alias: 'impuploader_file' }

    rawafed_uploader.forms.types.impuploader_image:
        class: Rawafed\UploaderBundle\Form\Type\IMPUploaderImageType
        arguments: [@service_container]
        tags:
            - { name: form.type, alias: 'impuploader_image' }

    rawafed_uploader.forms.types.impuploader_video:
        class: Rawafed\UploaderBundle\Form\Type\IMPUploaderVideoType
        arguments: [@service_container]
        tags:
            - { name: form.type, alias: 'impuploader_video' }

    rawafed_uploader.upload_file.listener:
        class: Rawafed\UploaderBundle\Listener\UploadFileListener
        arguments: [@service_container]
        tags:
            - { name: kernel.event_listener, event:"oneup_uploader.post_persist", method:"onPostUpload" }

